Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg12
Class LineHeightValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.FloatValue
              org.apache.batik.css.engine.value.svg12.LineHeightValue

All Implemented Interfaces:
  Value

    public class LineHeightValue

extends FloatValue

This class represents line-height values. These are basically FloatValues except that it may be 'font-size' relative.

Field Summary
`protected boolean` | `fontSizeRelative` True if the line-height is relative to the font-size

Fields inherited from class org.apache.batik.css.engine.value.FloatValue
`floatValue, UNITS, unitType`

Constructor Summary
`LineHeightValue(short unitType, float floatValue, boolean fontSizeRelative)` Creates a new value.

Method Summary
`boolean` | `getFontSizeRelative()` The type of the value.

Methods inherited from class org.apache.batik.css.engine.value.FloatValue
`getCssText, getCssText, getFloatValue, getPrimitiveType, toString`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getBottom, getCssValueType, getGreen, getIdentifier, getLeft, getLength, getListStyle, getRed, getRight, getSeparator, getStringValue, getTop, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fontSizeRelative

    protected boolean fontSizeRelative

  True if the line-height is relative to the font-size

Constructor Detail

### LineHeightValue

    public LineHeightValue(short unitType,
                           float floatValue,
                           boolean fontSizeRelative)

  Creates a new value.

Method Detail

### getFontSizeRelative

    public boolean getFontSizeRelative()

  The type of the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.